update job set status = "Running" where status = "In Progress";
update job set status = "Waiting" where status = "Interrupted";
update job set status = concat(jobType, " ", lower(status));

update sourceMediaField smf
join fieldDefinition fd on fd.id = smf.fieldDefId
join clip on clip.sourceMediaID = smf.sourceMediaID
join job job on job.id = (select MAX(j.id) from job j where j.clipID = clip.id)
set value = job.status
where fd.identifier in ("squarebox.catdv.archive.AmazonS3.status",
                          "squarebox.catdv.archive.BlackPearl.status",
                          "squarebox.catdv.archive.Azure.status");

update job set data = REPLACE(data, "numRetries", "Number of retries");

/* Handle case where data did NOT already contain 'numRetries'... */
update job set data = concat(substring(data,1,char_length(data)-1), ',"Number of retries":0}')
where data not like "%retries%";

/* Remove extraneous commas added by previous statement if job data was empty */
update job set data = REPLACE(data, "{,", "{");
